hardlink(1)

BEZEICHNUNG
hardlink - mehrere Kopien einer Datei verlinken

ÜBERSICHT
hardlink [Option] … [Verzeichnis|Datei] …

BESCHREIBUNG
hardlink ist ein Werkzeug, das Kopien einer Datei durch harte Links ersetzt und dadurch Platz spart.

OPTIONEN

-h oder --help
    gibt kurze Details zur Verwendung auf dem Bildschirm aus.

-v oder --verbose
    aktiviert die ausführlichere Ausgabe. Falls dies einmal angegeben ist, wird jede hart verlinkte Datei angezeigt; bei zweimaliger Angabe wird auch jeder Vergleich angezeigt.

-n oder --dry-run
    führt nichts aus, sondern gibt nur aus, was geändert werden würde.

-f oder --respect-name
    versucht, nur Dateien mit dem gleichen (Basis-) Namen zu verlinken.

-p oder --ignore-mode
    verlinkt beziehungsweise vergleicht Dateien selbst dann, wenn deren Modi unterschiedlich sind. Dies könnte unberechenbar sein.

-o oder --ignore-owner
    verlinkt beziehungsweise vergleicht Dateien selbst dann, wenn deren Eigentümer (Benutzer und Gruppe) unterschiedlich sind. Dies könnte unberechenbar sein.

-t oder --ignore-time
    verlinkt beziehungsweise vergleicht Dateien selbst dann, wenn deren Änderungszeiten unterschiedlich sind. Dies werden Sie meist so wollen.

-X oder --respect-xattrs
    versucht, nur Dateien mit den gleichen erweiterten Attributen zu verlinken.

-m oder --maximize
    behält von gleichen Dateien diejenige mit der größten Anzahl der Links.

-M oder --minimize
    behält von gleichen Dateien diejenige mit der kleinsten Anzahl der Links.

-O oder --keep-oldest
    behält von gleichen Dateien die älteste Datei (diejenige mit der neuesten Änderungszeit). Standardmäßig wird die neueste Datei behalten. Falls --maximize oder --minimize angegeben ist, hat die Anzahl der Links Vorrang vor der Änderungszeit.

-x oder --exclude
    gibt einen regulären Ausdruck an, der Dateien von Vergleichen oder Verlinkungen ausschließt.

-i oder --include
    gibt einen regulären Ausdruck zur Einbeziehung von Dateien an. Falls die Option --exclude angegeben ist, bezieht diese Option Dateien ein, die ansonsten ausgeschlossen werden würden. Falls die Option ohne --exclude verwendet wird, werden nur Dateien einbezogen, die mit dem Muster übereinstimmen.

-s oder --minimum-size
    gibt die minimal zu berücksichtigende Größe an. Standardmäßig ist dies 1, daher werden keine leeren Dateien verlinkt. Sie können optional ein Suffix K, M, G oder T angeben, was anzeigt, dass die Dateigröße in KiB, MiB, GiB oder TiB anzusehen ist.

ARGUMENTE
hardlink akzeptiert ein oder mehrere Verzeichnisse, die nach zu verlinkenden Dateien durchsucht werden sollen.

FEHLER
hardlink geht davon aus, dass sich die Verzeichnisbäume, in denen es agiert, während der Programmausführung nicht verändern. Falls dies dennoch geschieht, ist das Ergebnis nicht definiert und potenziell gefährlich. Wenn beispielsweise eine reguläre Datei durch eine Gerätedatei ersetzt wird, könnte hardlink damit beginnen, von diesem Gerät zu lesen. Falls eine Pfadkomponente durch einen symbolischen Link ersetzt wird oder sich Dateizugriffsrechte ändern, könnte die Sicherheit beeinträchtigt werden. Führen Sie hardlink niemals in einem sich ändernden Verzeichnisbaum aus oder in einem, über den ein anderer Benutzer die Kontrolle hat.

In der Version 0.3 RC1 berechnet hardlink, wenn die Option --respect-name angegeben ist, die Platzersparnis nicht korrekt. In früheren Versionen stimmte die Berechnung auch in den meisten anderen Fällen nicht.

AUTOR
Das Programm hardlink und dessen Handbuchseite wurden von Julian Andres Klode geschrieben und folgen unter den Bedingungen der MIT-Lizenz. Siehe den Code von hardlink für weitere Informationen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.